/* Common Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    text-decoration: none;
    list-style-type: none;
    font-family: "Baloo Da 2", cursive;
}

html {
    font-size: 62.5%;
}

/* End of Common Styles */

/*Section 1*/
.section-1 {
    width: 100%;
    height: 100vh;
    background: url(images/dark-bg.jpeg) no-repeat;
    background-size: cover;
    position: relative;
}

.banner {
    width: 100%;
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
}

.banner-heading {
    margin-bottom: 4rem;
    height: 20rem;
    perspective: 50rem;
    overflow: hidden;
}

.banner-heading span {
    font-family: "Oswald", sans-serif;
    font-size: 12rem;
    font-weight: 400;
    text-transform: uppercase;
    color: #fff;
    text-shadow: 0.3rem 0.3rem 0.6rem rgba(0, 0, 0, 0.5);
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    transform: translateZ(8rem);
    opacity: 0;
    letter-spacing: 3rem;
}

.heading-1 {
    animation: animateHeading 12s 3s infinite;
}

.heading-2 {
    animation: animateHeading 12s 6s infinite;
}

.heading-3 {
    animation: animateHeading 12s 9s infinite;
}

.heading-4 {
    animation: animateHeading 12s 12s infinite;
}

@keyframes animateHeading {
    0% {
        transform: translateZ(8rem);
        opacity: 0;
        letter-spacing: 3rem;
    }
    3% {
        transform: translateZ(0);
        opacity: 1;
        letter-spacing: 1.5rem;
    }
    25% {
        transform: translateZ(0);
        opacity: 1;
        letter-spacing: 1.5rem;
    }
    28% {
        transform: translateZ(8rem);
        opacity: 0;
        letter-spacing: 3rem;
    }
    100% {
        transform: translateZ(8rem);
        opacity: 0;
        letter-spacing: 3rem;
    }
}

.banner-paragraph {
    font-size: 4rem;
    font-weight: 400;
    text-transform: uppercase;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.6);
    width: 30%;
    margin: 0 auto 4rem;
    padding: 1rem 0;
    box-shadow: 1rem 1rem 5rem rgba(0, 0, 0, 0.5);
    opacity: 0;
    visibility: hidden;
    animation: fadeAnimation 1s 1.5s forwards;
}

.banner-btn {
    width: 30rem;
    height: 6rem;
    background: linear-gradient(to right, #9b0e0e, #7a1010);
    color: #fff;
    font-size: 2rem;
    text-transform: uppercase;
    border-radius: 3rem;
    border: 0.1rem solid #800505;
    box-shadow: 1rem 2rem 3rem rgba(0, 0, 0, 0.5);
    text-shadow: 0.6rem 0.3rem 0.2rem rgba(0, 0, 0, 0.4);
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    animation: fadeAnimation 1s 2s forwards;
    position: relative;
    overflow: hidden;
}

.banner-btn::before {
    content: " ";
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, transparent, #fff, transparent);
    position: absolute;
    top: 0;
    left: -100%;
    transform: skewX(-30deg);
    transition: left 0.5s;
}

.banner-btn:hover::before {
    left: 100%;
    transition: left 0.5s;
}

@keyframes fadeAnimation {
    0% {
        opacity: 0;
        visibility: hidden;
    }
    100% {
        opacity: 1;
        visibility: visible;
    }
}
/*End of Section 1*/